<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Mail;

class CorreoController extends Controller
{
    public function enviarCorreo($destinatario, $asunto, $contenido)
    {
        // Envía el correo electrónico
        \Log::info('Intentando enviar correo...');
        \Mail::raw($contenido, function ($message) use ($destinatario, $asunto) {
            $message->to($destinatario)->subject($asunto);
        });
        \Log::info('Correo enviado correctamente.');

        return "Correo electrónico enviado correctamente a $destinatario";
    }
}
